organism <- "Caenorhabditis elegans"
provider <- "UCSC"
release <- "ce2"
source_url <- "ftp://hgdownload.cse.ucsc.edu/goldenPath/ce2/bigZips/"

# The sequence names are based on the UCSC file names (FASTA files,
# ".fa" extension omitted):
seqnames <- c(
    "chrI",
    "chrII",
    "chrIII",
    "chrIV",
    "chrV",
    "chrX",
    "chrM"
)
mseqnames <- c(
    "upstream1000",
    "upstream2000",
    "upstream5000"
)

# DON'T FORGET TO EXPORT THIS NAME!
Celegans <- new("BSgenome", organism, provider,
                release, source_url, seqnames, mseqnames,
                "BSgenome.Celegans.UCSC.ce2", "extdata")
